org.eclipse.wst.jsdt.chromium

## Interface ConnectionLogger.StreamListener

Enclosing interface:
  ConnectionLogger

    public static interface ConnectionLogger.StreamListener

Listens to stream data traffic. Traffic is a series of `CharSequence`s and separators. It is a connection's responsibility to convert actual bytes transmitted into characters and separators. Connection should try to make output human-readable. All calls to the interface must be serialized (for example, but not necessarily, made from a single thread).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addContent(java.lang.CharSequence text)`
`void` `addSeparator()`

### Method Detail

#### addContent

    void addContent(java.lang.CharSequence text)

#### addSeparator

    void addSeparator()